## qtmir 0.8.0~git20250305.794fa12

=== src/CMakeLists.txt ===
add_subdirectory(platforms)
add_subdirectory(modules)
