=== tests/mirserver/CMakeLists.txt ===
add_subdirectory(EventBuilder)
add_subdirectory(QtEventFeeder)
add_subdirectory(URLBuilderDispatcher)
add_subdirectory(Screen)
add_subdirectory(ScreensModel)
add_subdirectory(miral)
