=== debian/changelog ===
qtmir (0.8.0~git20250305.794fa12-1) unstable; urgency=medium

  * New upstream Git snapshot.
    - Provide required dependencies on libmirserver-dev for building
      e.g. Lomiri without missing-headers-problems in qtmirserver.pc.
  * debian/control:
    + Add D: (libqtmirserver-dev): libmirserver-dev. (Closes: #1099250).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 05 Mar 2025 08:36:53 +0100

qtmir (0.8.0~git20250227.8e417c2-1) unstable; urgency=medium

  * New upstream Git snapshot.
    - Support for building against Mir 2.20 and Mir 2.14.1.
  * debian/patches:
    + Drop 0001_rename-content-hub-to-lomiri-content-hub.patch. Applied
      upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 28 Feb 2025 14:46:00 +0100

qtmir (0.8.0~git20240306.de639c3-3) unstable; urgency=medium

  * debian/control:
    + Add to B-D: liblomiri-content-hub-dev (>= 2.0.0).
    + In B-D, switch from pkg-config to pkgconf.
  * debian/patches:
    + Add 0001_rename-content-hub-to-lomiri-content-hub.patch. Adjust to
      renamed (lomiri-)content-hub component.
  * debian/rules:
    + Build with -DWITH_CONTENTHUB=ON.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 08 Sep 2024 22:45:55 +0200

qtmir (0.8.0~git20240306.de639c3-2) unstable; urgency=medium

  * debian/watch:
    + Drop uupdate call.
  * debian/control:
    + Versionize B-D on libprocess-cpp-dev. Require process-cpp (>= 3.0.2)
      (which comes with a fixed SOVERSION_MAJOR).
    + Bump Standards-Version to 4.7.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 16 Aug 2024 09:59:19 +0200
