=== debian/control ===
Source: qtmir
Section: libs
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>,
 Mike Gabriel <sunweaver@debian.org>,
 Marius Gripsgard <mariogrip@debian.org>,
Build-Depends: cmake,
               cmake-extras (>= 1.6~),
               debhelper-compat (= 13),
               googletest (>= 1.10.0),
               libfontconfig-dev,
               libgles2-mesa-dev,
               libglib2.0-dev,
               libgsettings-qt-dev,
               libgtest-dev,
               liblttng-ust-dev,
               libmiral-dev (>= 3.0),
               libmircommon-dev (>= 2.11.0),
               libmirserver-dev (>= 2.11.0),
               libmtdev-dev,
               libprocess-cpp-dev (>= 3.0.2),
               libqt5sensors5-dev,
               libqtdbusmock1-dev (>= 0.2),
               libqtdbustest1-dev (>= 0.2),
               liblomiri-app-launch-dev,
               libudev-dev,
               liblomiri-api-dev (>= 0.2.0),
               liblomiri-content-hub-dev (>= 2.0.0),
               liblomiri-url-dispatcher-dev,
               libxkbcommon-dev,
               libxrender-dev,
               mir-renderer-gl-dev (>= 2.11.0),
               mirtest-dev (>= 2.11.0),
               libmiroil-dev,
               libmirwayland-dev (>= 2.12.0+dfsg-3~),
               pkgconf,
               pkg-kde-tools,
# lttng-gen-ts needs python3, but doesn't depend on it itself: bug 1359147
               python3:any,
               qtbase5-dev,
               qtbase5-private-dev,
               qtdeclarative5-dev,
               qtdeclarative5-private-dev,
               quilt,
               valgrind-if-available,
# libmirserver-dev should have brought this dep. Bug lp:1617435
               uuid-dev,
# mirtest pkgconfig requires these, but doesn't have a deb dependency. Bug lp:1633537
               libboost-filesystem-dev,
               libboost-system-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/core/qtmir
Vcs-Git: https://salsa.debian.org/ubports-team/qtmir.git
Vcs-Browser: https://salsa.debian.org/ubports-team/qtmir

Package: qtmir
Architecture: linux-any
Multi-Arch: same
Breaks: qtmir-android (<< 0.7.0~),
        qtmir-desktop (<< 0.7.0~),
Replaces: qtmir-android (<< 0.7.0~),
          qtmir-desktop (<< 0.7.0~),
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Qt platform abstraction (QPA) plugin for a Mir server
 QtMir is a set of Qt5 components to enable one to write a Mir server with Qt.
 It contains a QPA (Qt Platform Abstraction) plugin which creates and manages
 a Mir server. It also exposes some internal Mir functionality.

Package: qtmir-android
Architecture: armhf arm64
Multi-Arch: same
Depends: qtmir, ${misc:Depends},
Section: oldlibs
Description: QPA plugin for a Mir server (mobile, transitional package)
  QtMir is a set of Qt5 components to enable one to write a Mir server with Qt.
  It contains a QPA (Qt Platform Abstraction) plugin which creates and manages
  a Mir server. It also exposes some internal Mir functionality.
 .
 This variant of the package is for Android-based phones and tablets.
 .
 This is a transitional package. It can safely be removed.

Package: qtmir-desktop
Architecture: linux-any
Multi-Arch: same
Depends: qtmir, ${misc:Depends},
Section: oldlibs
Description: QPA plugin for a Mir server (desktop, transitional package)
 QtMir is a set of Qt5 components to enable one to write a Mir server with Qt.
 It contains a QPA (Qt Platform Abstraction) plugin which creates and manages
 a Mir server. It also exposes some internal Mir functionality.
 .
 This variant of the package is for GNU-based desktops.
 .
 This is a transitional package. It can safely be removed.

Package: libqtmirserver-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: qtmir (= ${binary:Version}),
         ${misc:Depends},
         libmiral-dev (>= 3.0),
         libmiroil-dev,
         libmirserver-dev,
Description: Developer files for QtMir server API
 QtMir is a set of Qt5 components to enable one to write a Mir server with Qt.
 It contains a QPA (Qt Platform Abstraction) plugin which creates and manages
 a Mir server. It also exposes some internal Mir functionality.
 .
 This package contains the library headers for developers.

Package: libqtmirserver2
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
      ${shlibs:Depends},
Description: QtMir server API shared library
 QtMir is a set of Qt5 components to enable one to write a Mir server with Qt.
 It contains a QPA (Qt Platform Abstraction) plugin which creates and manages
 a Mir server. It also exposes some internal Mir functionality.
 .
 Contains the shared library containing QtMir server API.

Package: qml-module-qtmir
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: qtmir (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Provides: lomiri-application-impl,
          lomiri-application-impl-27,
Description: Qt/QML module for Lomiri specific Mir APIs
 QtMir is a set of Qt5 components to enable one to write a Mir server with Qt.
 It contains a QPA (Qt Platform Abstraction) plugin which creates and manages
 a Mir server. It also exposes some internal Mir functionality.
 .
 QtMir provides Qt/QML bindings for Mir features that are exposed through the
 qtmir QPA plugin such as Application management (start/stop/suspend/resume)
 and surface management.

Package: qtmir-tests
Section: libdevel
Architecture: linux-any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends},
Depends: littler,
         lttng-tools,
         mir-test-tools,
         qml-module-lomiri-components,
         qml-module-qtmir,
         qtmir (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: QtMir tests and demos
 QtMir is a set of Qt5 components to enable one to write a Mir server with Qt.
 It contains a QPA (Qt Platform Abstraction) plugin which creates and manages
 a Mir server. It also exposes some internal Mir functionality.
 .
 This package provides benchmark tests and a simple shell and client using the
 QtMir QPA.
