## qtmir 0.8.0~git20250316.401819c

=== debian/changelog ===
qtmir (0.8.0~git20250316.401819c-1) unstable; urgency=medium

  [ Alfred Neumayer ]
  * New upstream Git snapshot.
    - src/modules: Keep shared pointers to subsurfaces around as a
      MirSurfaceItem member. Thanks to Alfred Neumayer.
    - src/modules: Only store QSharedPointers when updatePaintNode is
      complete.
    - src/modules: Avoid a race between the Scene Graph and texture
      provider cleanup.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 16 Mar 2025 12:16:50 +0100

qtmir (0.8.0~git20250314.24ef87c-1) unstable; urgency=medium

  * New upstream Git snapshot.
    - Set RenderableType to QSurfaceFormat::OpenGLES.
    - Drop server-side decorations Wayland protocol implementation
      (xdgdecoration v1), now provided by Mir 2.20 (also dropping it
      for builds against earlier Mir version as implementation was
      crude and incomplete).
    - Fix subsurface issue with Firefox et al. showing black submenus.
  * debian/{control,rules}:
    + Drop pkgkde_symbolshelper.
  * debian/control:
    + Bump versioned B-Ds on Mir to v2.20.0.
    + Add to B-D: libgbm-dev (reported to Mir maintainer).
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 15 Mar 2025 08:29:05 +0100
